Skip to main content
GET
/
credentials
/
status
Check issuance status
curl --request GET \
  --url https://api.sandbox.mocachain.org/v1/credentials/status \
  --header 'x-partner-auth: <api-key>'
{
  "coreClaimHash": "239704895d0c4693d33ee7ab9e37c6eb295f178d80074a32d4ace53b1a779c44",
  "issuanceDate": "2026-01-19 07:18:45",
  "issuerDid": "did:air:id:test:5P44fsVUhPctDTWH2Nz26pZJFsg6CqyiAELTGeVQDB",
  "vcId": "c28t30c048pe502a3713w0",
  "vcStatus": "ONCHAIN"
}

Authorizations

x-partner-auth
string
header
required

A signed Partner JWT containing partnerId, email, scope, and exp claims. See Partner Authentication for setup.

Query Parameters

coreClaimHash
string
required

The unique hash returned by the issue endpoint.

Response

Current issuance status.

coreClaimHash
string

The issuance identifier.

issuanceDate
string

Timestamp when the credential was issued.

expirationDate
string

Timestamp when the credential expires.

issuerDid
string

DID of the issuer.

issuerId
string

Internal issuer identifier.

schemeId
string

Schema identifier for the credential.

vcId
string

Verifiable credential identifier.

vcDstorageId
string

Decentralized storage identifier for the credential.

vcStatus
enum<string>

WAIT_ONCHAIN — issuance in progress. ONCHAIN — credential is confirmed on-chain.

Available options:
WAIT_ONCHAIN,
ONCHAIN